import request from '@/utils/request'

export function getLayerTree(data) {
  return request({
    url: 'patrol/objectType/getTree',
    method: 'post',
    data
  })
}

export function nameValidator(data) {
  return request({
    url: 'patrol/objectType/nameValidator',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'patrol/objectType/insert',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'patrol/objectType/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'patrol/objectType/update',
    method: 'post',
    data
  })
}

export default { add, edit, del }
